Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_lmdz1d.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_lmdz1d.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_lmdz1d.F90	(revision 5117)
@@ -67,10 +67,10 @@
     !---------------------------------------------------------------------
 
-    integer, parameter :: ngrid = 1
+    INTEGER, parameter :: ngrid = 1
     REAL :: zcufi = 1.
     REAL :: zcvfi = 1.
 
     !-      REAL :: nat_surf
-    !-      logical :: ok_flux_surf
+    !-      LOGICAL :: ok_flux_surf
     !-      REAL :: fsens
     !-      REAL :: flat
@@ -107,8 +107,8 @@
 
     INTEGER :: kmax = llm
-    integer llm700, nq1, nq2
+    INTEGER llm700, nq1, nq2
     INTEGER, PARAMETER :: nlev_max = 1000, nqmx = 1000
-    real timestep, frac
-    real height(nlev_max), tttprof(nlev_max), qtprof(nlev_max)
+    REAL timestep, frac
+    REAL height(nlev_max), tttprof(nlev_max), qtprof(nlev_max)
     real  uprof(nlev_max), vprof(nlev_max), e12prof(nlev_max)
     real  ugprof(nlev_max), vgprof(nlev_max), wfls(nlev_max)
@@ -118,26 +118,26 @@
 
     !        INTEGER :: forcing_type
-    logical :: forcing_les = .FALSE.
-    logical :: forcing_armcu = .FALSE.
-    logical :: forcing_rico = .FALSE.
-    logical :: forcing_radconv = .FALSE.
-    logical :: forcing_toga = .FALSE.
-    logical :: forcing_twpice = .FALSE.
-    logical :: forcing_amma = .FALSE.
-    logical :: forcing_dice = .FALSE.
-    logical :: forcing_gabls4 = .FALSE.
-
-    logical :: forcing_GCM2SCM = .FALSE.
-    logical :: forcing_GCSSold = .FALSE.
-    logical :: forcing_sandu = .FALSE.
-    logical :: forcing_astex = .FALSE.
-    logical :: forcing_fire = .FALSE.
-    logical :: forcing_case = .FALSE.
-    logical :: forcing_case2 = .FALSE.
-    logical :: forcing_SCM = .FALSE.
+    LOGICAL :: forcing_les = .FALSE.
+    LOGICAL :: forcing_armcu = .FALSE.
+    LOGICAL :: forcing_rico = .FALSE.
+    LOGICAL :: forcing_radconv = .FALSE.
+    LOGICAL :: forcing_toga = .FALSE.
+    LOGICAL :: forcing_twpice = .FALSE.
+    LOGICAL :: forcing_amma = .FALSE.
+    LOGICAL :: forcing_dice = .FALSE.
+    LOGICAL :: forcing_gabls4 = .FALSE.
+
+    LOGICAL :: forcing_GCM2SCM = .FALSE.
+    LOGICAL :: forcing_GCSSold = .FALSE.
+    LOGICAL :: forcing_sandu = .FALSE.
+    LOGICAL :: forcing_astex = .FALSE.
+    LOGICAL :: forcing_fire = .FALSE.
+    LOGICAL :: forcing_case = .FALSE.
+    LOGICAL :: forcing_case2 = .FALSE.
+    LOGICAL :: forcing_SCM = .FALSE.
     INTEGER :: type_ts_forcing ! 0 = SST constant; 1 = SST read from a file
     !                                                            (cf read_tsurf1d.F)
 
-    real wwww
+    REAL wwww
     !vertical advection computation
     !       real d_t_z(llm), d_q_z(llm)
@@ -147,7 +147,7 @@
 
     !flag forcings
-    logical :: nudge_wind = .TRUE.
-    logical :: nudge_thermo = .FALSE.
-    logical :: cptadvw = .TRUE.
+    LOGICAL :: nudge_wind = .TRUE.
+    LOGICAL :: nudge_thermo = .FALSE.
+    LOGICAL :: cptadvw = .TRUE.
     !=====================================================================
     ! DECLARATIONS FOR EACH CASE
@@ -163,5 +163,5 @@
     INTEGER :: inudge_RHT = 1
     INTEGER :: inudge_UV = 2
-    logical :: nudge(nudge_max)
+    LOGICAL :: nudge(nudge_max)
     REAL :: t_targ(llm)
     REAL :: rh_targ(llm)
@@ -214,5 +214,5 @@
     !  Call to phyredem
     !---------------------------------------------------------------------
-    logical :: ok_writedem = .TRUE.
+    LOGICAL :: ok_writedem = .TRUE.
     REAL :: sollw_in = 0.
     REAL :: solsw_in = 0.
@@ -221,6 +221,6 @@
     !  Call to physiq
     !---------------------------------------------------------------------
-    logical :: firstcall = .TRUE.
-    logical :: lastcall = .FALSE.
+    LOGICAL :: firstcall = .TRUE.
+    LOGICAL :: lastcall = .FALSE.
     REAL :: phis(1) = 0.0
     REAL :: dpsrf(1)
@@ -229,14 +229,14 @@
     !  Initializations of boundary conditions
     !---------------------------------------------------------------------
-    real, allocatable :: phy_nat (:)  ! 0=ocean libre,1=land,2=glacier,3=banquise
-    real, allocatable :: phy_alb (:)  ! Albedo land only (old value condsurf_jyg=0.3)
-    real, allocatable :: phy_sst (:)  ! SST (will not be used; cf read_tsurf1d.F)
-    real, allocatable :: phy_bil (:)  ! Ne sert que pour les slab_ocean
-    real, allocatable :: phy_rug (:) ! Longueur rugosite utilisee sur land only
-    real, allocatable :: phy_ice (:) ! Fraction de glace
-    real, allocatable :: phy_fter(:) ! Fraction de terre
-    real, allocatable :: phy_foce(:) ! Fraction de ocean
-    real, allocatable :: phy_fsic(:) ! Fraction de glace
-    real, allocatable :: phy_flic(:) ! Fraction de glace
+    REAL, ALLOCATABLE :: phy_nat (:)  ! 0=ocean libre,1=land,2=glacier,3=banquise
+    REAL, ALLOCATABLE :: phy_alb (:)  ! Albedo land only (old value condsurf_jyg=0.3)
+    REAL, ALLOCATABLE :: phy_sst (:)  ! SST (will not be used; cf read_tsurf1d.F)
+    REAL, ALLOCATABLE :: phy_bil (:)  ! Ne sert que pour les slab_ocean
+    REAL, ALLOCATABLE :: phy_rug (:) ! Longueur rugosite utilisee sur land only
+    REAL, ALLOCATABLE :: phy_ice (:) ! Fraction de glace
+    REAL, ALLOCATABLE :: phy_fter(:) ! Fraction de terre
+    REAL, ALLOCATABLE :: phy_foce(:) ! Fraction de ocean
+    REAL, ALLOCATABLE :: phy_fsic(:) ! Fraction de glace
+    REAL, ALLOCATABLE :: phy_flic(:) ! Fraction de glace
 
     !---------------------------------------------------------------------
@@ -245,10 +245,10 @@
     INTEGER :: k, l, i, it = 1, mxcalc
     INTEGER :: nsrf
-    integer jcode
+    INTEGER jcode
     INTEGER read_climoz
 
     INTEGER :: it_end ! iteration number of the last call
     !Al1
-    integer ecrit_slab_oc !1=ecrit,-1=lit,0=no file
+    INTEGER ecrit_slab_oc !1=ecrit,-1=lit,0=no file
     data ecrit_slab_oc/-1/
 
@@ -355,5 +355,5 @@
     !             Radiation to be switched off
 
-    if (forcing_type <=0) THEN
+    IF (forcing_type <=0) THEN
       forcing_les = .TRUE.
     elseif (forcing_type ==1) THEN
@@ -446,8 +446,8 @@
 
     type_ts_forcing = 0
-    if (forcing_toga.or.forcing_sandu.or.forcing_astex .or. forcing_dice)                 &
+    IF (forcing_toga.OR.forcing_sandu.OR.forcing_astex .OR. forcing_dice)                 &
             type_ts_forcing = 1
 
-    ! Initialization of the logical switch for nudging
+    ! Initialization of the LOGICAL switch for nudging
     jcode = iflag_nudge
     do i = 1, nudge_max
@@ -484,14 +484,14 @@
 
     !      calend = 'earth_365d'
-    if (calend == 'earth_360d') THEN
+    IF (calend == 'earth_360d') THEN
       CALL ioconf_calendar('360_day')
       WRITE(*, *)'CALENDRIER CHOISI: Terrestre a 360 jours/an'
-    else if (calend == 'earth_365d') THEN
+    ELSE IF (calend == 'earth_365d') THEN
       CALL ioconf_calendar('noleap')
       WRITE(*, *)'CALENDRIER CHOISI: Terrestre a 365 jours/an'
-    else if (calend == 'earth_366d') THEN
+    ELSE IF (calend == 'earth_366d') THEN
       CALL ioconf_calendar('all_leap')
       WRITE(*, *)'CALENDRIER CHOISI: Terrestre bissextile'
-    else if (calend == 'gregorian') THEN
+    ELSE IF (calend == 'gregorian') THEN
       stop 'gregorian calend should not be used by normal user'
       CALL ioconf_calendar('gregorian') ! not to be used by normal users
@@ -509,5 +509,5 @@
     !      Le numero du jour est dans "day". L heure est traitee separement.
     !      La date complete est dans "daytime" (l'unite est le jour).
-    if (nday>0) THEN
+    IF (nday>0) THEN
       fnday = nday
     else
@@ -606,5 +606,5 @@
     CALL init_infotrac
 
-    if (nqtot>nqmx) STOP 'Augmenter nqmx dans lmdz1d.F'
+    IF (nqtot>nqmx) STOP 'Augmenter nqmx dans lmdz1d.F'
     allocate(q(llm, nqtot)) ; q(:, :) = 0.
     allocate(dq(llm, nqtot))
@@ -627,5 +627,5 @@
     CALL phys_state_var_init(read_climoz)
 
-    if (ngrid/=klon) THEN
+    IF (ngrid/=klon) THEN
       PRINT*, 'stop in inifis'
       PRINT*, 'Probleme de dimensions :'
@@ -655,5 +655,5 @@
     !! mpl et jyg le 22/08/2012 :
     !!  pour que les cas a flux de surface imposes marchent
-    IF(.NOT.ok_flux_surf.or.max(abs(wtsurf), abs(wqsurf))>0.) THEN
+    IF(.NOT.ok_flux_surf.OR.max(abs(wtsurf), abs(wqsurf))>0.) THEN
       fsens = -wtsurf * rcpd * rho(1)
       flat = -wqsurf * rlvtt * rho(1)
@@ -695,5 +695,5 @@
       do l = 1, llm
         WRITE(*, *) 'l,play(l),presnivs(l): ', l, play(l), presnivs(l)
-        if (trouve_700 .and. play(l)<=70000) THEN
+        IF (trouve_700 .AND. play(l)<=70000) THEN
           llm700 = l
           print *, 'llm700,play=', llm700, play(l) / 100.
@@ -812,20 +812,20 @@
         PRINT*, 'avant phyredem'
         pctsrf(1, :) = 0.
-        if (nat_surf==0.) THEN
+        IF (nat_surf==0.) THEN
         pctsrf(1, is_oce) = 1.
         pctsrf(1, is_ter) = 0.
         pctsrf(1, is_lic) = 0.
         pctsrf(1, is_sic) = 0.
-        else if (nat_surf == 1) THEN
+        ELSE IF (nat_surf == 1) THEN
         pctsrf(1, is_oce) = 0.
         pctsrf(1, is_ter) = 1.
         pctsrf(1, is_lic) = 0.
         pctsrf(1, is_sic) = 0.
-        else if (nat_surf == 2) THEN
+        ELSE IF (nat_surf == 2) THEN
         pctsrf(1, is_oce) = 0.
         pctsrf(1, is_ter) = 0.
         pctsrf(1, is_lic) = 1.
         pctsrf(1, is_sic) = 0.
-        else if (nat_surf == 3) THEN
+        ELSE IF (nat_surf == 3) THEN
         pctsrf(1, is_oce) = 0.
         pctsrf(1, is_ter) = 0.
@@ -856,5 +856,5 @@
                 pbl_tke(:, 2, :) = 1.e-2
                 PRINT *, ' pbl_tke dans lmdz1d '
-                if (prt_level >= 5) THEN
+                IF (prt_level >= 5) THEN
                 DO nsrf = 1, 4
                 PRINT *, 'pbl_tke(1,:,', nsrf, ') ', pbl_tke(1, :, nsrf)
@@ -936,5 +936,5 @@
                 CALL getin('iflag_physiq', iflag_physiq)
 
-                if (.not.restart) THEN
+                IF (.NOT.restart) THEN
                 iflag_pbl = 5
                 CALL phyredem ("startphy.nc")
@@ -1033,5 +1033,5 @@
                 DO while(it<=it_end)
 
-                if (prt_level>=1) THEN
+                IF (prt_level>=1) THEN
         PRINT*, 'XXXXXXXXXXXXXXXXXXX ITAP,day,time=', &
         it, day, time, it_end, day_step
@@ -1039,5 +1039,5 @@
         endif
         !Al1 demande de restartphy.nc
-        if (it==it_end) lastcall = .True.
+        IF (it==it_end) lastcall = .True.
 
         !---------------------------------------------------------------------
@@ -1125,5 +1125,5 @@
 
                 fcoriolis = 2. * sin(rpi * xlat / 180.) * romega
-        IF (forcing_radconv .or. forcing_fire) THEN
+        IF (forcing_radconv .OR. forcing_fire) THEN
         fcoriolis = 0.0
         dt_cooling = 0.0
@@ -1133,6 +1133,6 @@
                 !      PRINT*, 'calcul de fcoriolis ', fcoriolis
 
-                IF (forcing_toga .or. forcing_GCSSold .or. forcing_twpice            &
-                .or.forcing_amma .or. forcing_type==101) THEN
+                IF (forcing_toga .OR. forcing_GCSSold .OR. forcing_twpice            &
+                .OR.forcing_amma .OR. forcing_type==101) THEN
                 fcoriolis = 0.0 ; ug = 0. ; vg = 0.
                 END IF
@@ -1149,7 +1149,7 @@
         !on calcule dt_cooling
         do l = 1, llm
-        if (play(l)>=20000.) THEN
+        IF (play(l)>=20000.) THEN
         dt_cooling(l) = -1.5 / 86400.
-        elseif ((play(l)>=10000.).and.((play(l)<20000.))) THEN
+        elseif ((play(l)>=10000.).AND.((play(l)<20000.))) THEN
         dt_cooling(l) = -1.5 / 86400. * (play(l) - 10000.) / (10000.) - 1. / 86400. * (20000. - play(l)) / 10000. * (temp(l) - 200.)
                 else
@@ -1217,5 +1217,5 @@
         d_q_adv = 0.
         do l = 2, llm - 1
-        if (zlay(l)<=1100) THEN
+        IF (zlay(l)<=1100) THEN
         wwww = -0.00001 * zlay(l)
                 d_t_adv(l) = -wwww * (teta(l) - teta(l + 1)) / (zlay(l) - zlay(l + 1)) / (pzero / play(l))**rkappa
@@ -1242,5 +1242,5 @@
         ! pour les cas sandu et astex, on reclacule u,v,q,temp et teta dans 1D_nudge_sandu_astex.h
         ! au dessus de 700hpa, on relaxe vers les profils initiaux
-        if (forcing_sandu .OR. forcing_astex) THEN
+        IF (forcing_sandu .OR. forcing_astex) THEN
         INCLUDE "1D_nudge_sandu_astex.h"
         else
@@ -1258,5 +1258,5 @@
         + d_q_nudge(1:mxcalc, :))
 
-                if (prt_level>=3) THEN
+                IF (prt_level>=3) THEN
                 print *, &
                 'physiq-> temp(1),dt_phys(1),d_t_adv(1),dt_cooling(1) ', &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_scm.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_scm.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_scm.F90	(revision 5117)
@@ -64,5 +64,5 @@
     !---------------------------------------------------------------------
 
-    integer, parameter :: ngrid = 1
+    INTEGER, parameter :: ngrid = 1
     REAL :: zcufi = 1.
     REAL :: zcvfi = 1.
@@ -80,8 +80,8 @@
 
     INTEGER :: kmax = llm
-    integer llm700, nq1, nq2
+    INTEGER llm700, nq1, nq2
     INTEGER, PARAMETER :: nlev_max = 1000, nqmx = 1000
-    real timestep, frac
-    real height(nlev_max), tttprof(nlev_max), qtprof(nlev_max)
+    REAL timestep, frac
+    REAL height(nlev_max), tttprof(nlev_max), qtprof(nlev_max)
     real  uprof(nlev_max), vprof(nlev_max), e12prof(nlev_max)
     real  ugprof(nlev_max), vgprof(nlev_max), wfls(nlev_max)
@@ -91,27 +91,27 @@
 
     !        INTEGER :: forcing_type
-    logical :: forcing_les = .FALSE.
-    logical :: forcing_armcu = .FALSE.
-    logical :: forcing_rico = .FALSE.
-    logical :: forcing_radconv = .FALSE.
-    logical :: forcing_toga = .FALSE.
-    logical :: forcing_twpice = .FALSE.
-    logical :: forcing_amma = .FALSE.
-    logical :: forcing_dice = .FALSE.
-    logical :: forcing_gabls4 = .FALSE.
-
-    logical :: forcing_GCM2SCM = .FALSE.
-    logical :: forcing_GCSSold = .FALSE.
-    logical :: forcing_sandu = .FALSE.
-    logical :: forcing_astex = .FALSE.
-    logical :: forcing_fire = .FALSE.
-    logical :: forcing_case = .FALSE.
-    logical :: forcing_case2 = .FALSE.
-    logical :: forcing_SCM = .FALSE.
+    LOGICAL :: forcing_les = .FALSE.
+    LOGICAL :: forcing_armcu = .FALSE.
+    LOGICAL :: forcing_rico = .FALSE.
+    LOGICAL :: forcing_radconv = .FALSE.
+    LOGICAL :: forcing_toga = .FALSE.
+    LOGICAL :: forcing_twpice = .FALSE.
+    LOGICAL :: forcing_amma = .FALSE.
+    LOGICAL :: forcing_dice = .FALSE.
+    LOGICAL :: forcing_gabls4 = .FALSE.
+
+    LOGICAL :: forcing_GCM2SCM = .FALSE.
+    LOGICAL :: forcing_GCSSold = .FALSE.
+    LOGICAL :: forcing_sandu = .FALSE.
+    LOGICAL :: forcing_astex = .FALSE.
+    LOGICAL :: forcing_fire = .FALSE.
+    LOGICAL :: forcing_case = .FALSE.
+    LOGICAL :: forcing_case2 = .FALSE.
+    LOGICAL :: forcing_SCM = .FALSE.
 
     !flag forcings
-    logical :: nudge_wind = .TRUE.
-    logical :: nudge_thermo = .FALSE.
-    logical :: cptadvw = .TRUE.
+    LOGICAL :: nudge_wind = .TRUE.
+    LOGICAL :: nudge_thermo = .FALSE.
+    LOGICAL :: cptadvw = .TRUE.
 
 
@@ -129,5 +129,5 @@
     INTEGER :: inudge_RHT = 1
     INTEGER :: inudge_UV = 2
-    logical :: nudge(nudge_max)
+    LOGICAL :: nudge(nudge_max)
     REAL :: t_targ(llm)
     REAL :: rh_targ(llm)
@@ -181,5 +181,5 @@
     !  Call to phyredem
     !---------------------------------------------------------------------
-    logical :: ok_writedem = .TRUE.
+    LOGICAL :: ok_writedem = .TRUE.
     REAL :: sollw_in = 0.
     REAL :: solsw_in = 0.
@@ -188,6 +188,6 @@
     !  Call to physiq
     !---------------------------------------------------------------------
-    logical :: firstcall = .TRUE.
-    logical :: lastcall = .FALSE.
+    LOGICAL :: firstcall = .TRUE.
+    LOGICAL :: lastcall = .FALSE.
     REAL :: phis(1) = 0.0
     REAL :: dpsrf(1)
@@ -196,14 +196,14 @@
     !  Initializations of boundary conditions
     !---------------------------------------------------------------------
-    real, allocatable :: phy_nat (:)  ! 0=ocean libre,1=land,2=glacier,3=banquise
-    real, allocatable :: phy_alb (:)  ! Albedo land only (old value condsurf_jyg=0.3)
-    real, allocatable :: phy_sst (:)  ! SST (will not be used; cf read_tsurf1d.F)
-    real, allocatable :: phy_bil (:)  ! Ne sert que pour les slab_ocean
-    real, allocatable :: phy_rug (:) ! Longueur rugosite utilisee sur land only
-    real, allocatable :: phy_ice (:) ! Fraction de glace
-    real, allocatable :: phy_fter(:) ! Fraction de terre
-    real, allocatable :: phy_foce(:) ! Fraction de ocean
-    real, allocatable :: phy_fsic(:) ! Fraction de glace
-    real, allocatable :: phy_flic(:) ! Fraction de glace
+    REAL, ALLOCATABLE :: phy_nat (:)  ! 0=ocean libre,1=land,2=glacier,3=banquise
+    REAL, ALLOCATABLE :: phy_alb (:)  ! Albedo land only (old value condsurf_jyg=0.3)
+    REAL, ALLOCATABLE :: phy_sst (:)  ! SST (will not be used; cf read_tsurf1d.F)
+    REAL, ALLOCATABLE :: phy_bil (:)  ! Ne sert que pour les slab_ocean
+    REAL, ALLOCATABLE :: phy_rug (:) ! Longueur rugosite utilisee sur land only
+    REAL, ALLOCATABLE :: phy_ice (:) ! Fraction de glace
+    REAL, ALLOCATABLE :: phy_fter(:) ! Fraction de terre
+    REAL, ALLOCATABLE :: phy_foce(:) ! Fraction de ocean
+    REAL, ALLOCATABLE :: phy_fsic(:) ! Fraction de glace
+    REAL, ALLOCATABLE :: phy_flic(:) ! Fraction de glace
 
     !---------------------------------------------------------------------
@@ -212,10 +212,10 @@
     INTEGER :: k, l, i, it = 1, mxcalc
     INTEGER :: nsrf
-    integer jcode
+    INTEGER jcode
     INTEGER read_climoz
 
     INTEGER :: it_end ! iteration number of the last call
     !Al1,plev,play,phi,phis,presnivs,
-    integer ecrit_slab_oc !1=ecrit,-1=lit,0=no file
+    INTEGER ecrit_slab_oc !1=ecrit,-1=lit,0=no file
     data ecrit_slab_oc/-1/
 
@@ -277,5 +277,5 @@
     PRINT*, 'NATURE DE LA SURFACE ', nat_surf
 
-    ! Initialization of the logical switch for nudging
+    ! Initialization of the LOGICAL switch for nudging
 
     jcode = iflag_nudge
@@ -315,14 +315,14 @@
 
     !      calend = 'earth_365d'
-    if (calend == 'earth_360d') THEN
+    IF (calend == 'earth_360d') THEN
       CALL ioconf_calendar('360_day')
       WRITE(*, *)'CALENDRIER CHOISI: Terrestre a 360 jours/an'
-    else if (calend == 'earth_365d') THEN
+    ELSE IF (calend == 'earth_365d') THEN
       CALL ioconf_calendar('noleap')
       WRITE(*, *)'CALENDRIER CHOISI: Terrestre a 365 jours/an'
-    else if (calend == 'earth_366d') THEN
+    ELSE IF (calend == 'earth_366d') THEN
       CALL ioconf_calendar('all_leap')
       WRITE(*, *)'CALENDRIER CHOISI: Terrestre bissextile'
-    else if (calend == 'gregorian') THEN
+    ELSE IF (calend == 'gregorian') THEN
       stop 'gregorian calend should not be used by normal user'
       CALL ioconf_calendar('gregorian') ! not to be used by normal users
@@ -341,5 +341,5 @@
     !      La date complete est dans "daytime" (l'unite est le jour).
 
-    if (nday>0) THEN
+    IF (nday>0) THEN
       fnday = nday
     else
@@ -383,5 +383,5 @@
     CALL init_infotrac
 
-    if (nqtot>nqmx) STOP 'Augmenter nqmx dans lmdz1d.F'
+    IF (nqtot>nqmx) STOP 'Augmenter nqmx dans lmdz1d.F'
     allocate(q(llm, nqtot)) ; q(:, :) = 0.
     allocate(dq(llm, nqtot))
@@ -404,5 +404,5 @@
     CALL phys_state_var_init(read_climoz)
 
-    if (ngrid/=klon) THEN
+    IF (ngrid/=klon) THEN
       PRINT*, 'stop in inifis'
       PRINT*, 'Probleme de dimensions :'
@@ -425,5 +425,5 @@
     !! mpl et jyg le 22/08/2012 :
     !!  pour que les cas a flux de surface imposes marchent
-    IF(.NOT.ok_flux_surf.or.max(abs(wtsurf), abs(wqsurf))>0.) THEN
+    IF(.NOT.ok_flux_surf.OR.max(abs(wtsurf), abs(wqsurf))>0.) THEN
       fsens = -wtsurf * rcpd * rho(1)
       flat = -wqsurf * rlvtt * rho(1)
@@ -461,5 +461,5 @@
       do l = 1, llm
         WRITE(*, *) 'l,play(l),presnivs(l): ', l, play(l), presnivs(l)
-        if (trouve_700 .and. play(l)<=70000) THEN
+        IF (trouve_700 .AND. play(l)<=70000) THEN
           llm700 = l
           print *, 'llm700,play=', llm700, play(l) / 100.
@@ -477,8 +477,8 @@
   PRINT*, 'A d_t_adv ', d_t_adv(1:20)*86400
 
-  if (forcing_GCM2SCM) THEN
+  IF (forcing_GCM2SCM) THEN
   write (*, *) 'forcing_GCM2SCM not yet implemented'
   stop 'in initialization'
-  endif ! forcing_GCM2SCM
+  ENDIF ! forcing_GCM2SCM
 
 
@@ -536,5 +536,5 @@
   ! On le met juste avant pour avoir acces a tous les champs
 
-  if (ok_writedem) THEN
+  IF (ok_writedem) THEN
   !--------------------------------------------------------------------------
   ! pbl_surface_init (called here) and pbl_surface_final (called by phyredem)
@@ -574,20 +574,20 @@
   PRINT*, 'avant phyredem'
   pctsrf(1, :) = 0.
-  if (nat_surf==0.) THEN
+  IF (nat_surf==0.) THEN
   pctsrf(1, is_oce) = 1.
   pctsrf(1, is_ter) = 0.
   pctsrf(1, is_lic) = 0.
   pctsrf(1, is_sic) = 0.
-  else if (nat_surf == 1) THEN
+  ELSE IF (nat_surf == 1) THEN
   pctsrf(1, is_oce) = 0.
   pctsrf(1, is_ter) = 1.
   pctsrf(1, is_lic) = 0.
   pctsrf(1, is_sic) = 0.
-  else if (nat_surf == 2) THEN
+  ELSE IF (nat_surf == 2) THEN
   pctsrf(1, is_oce) = 0.
   pctsrf(1, is_ter) = 0.
   pctsrf(1, is_lic) = 1.
   pctsrf(1, is_sic) = 0.
-  else if (nat_surf == 3) THEN
+  ELSE IF (nat_surf == 3) THEN
   pctsrf(1, is_oce) = 0.
   pctsrf(1, is_ter) = 0.
@@ -693,5 +693,5 @@
                 CALL getin('iflag_physiq', iflag_physiq)
 
-                if (.not.restart) THEN
+                IF (.NOT.restart) THEN
         iflag_pbl = 5
         CALL phyredem ("startphy.nc")
@@ -735,5 +735,5 @@
                 CALL phys_state_var_end
                 !Al1
-                if (restart) THEN
+                IF (restart) THEN
                 PRINT*, 'CALL to restart dyn 1d'
                 Call dyn1deta0("start1dyn.nc", plev, play, phi, phis,presnivs, &
@@ -782,10 +782,10 @@
                 do while(it<=it_end)
 
-                if (prt_level>=1) THEN
+                IF (prt_level>=1) THEN
         PRINT*, 'XXXXXXXXXXXXXXXXXXX ITAP,day,time=', &
         it, day, time, it_end, day_step
         PRINT*,'PAS DE TEMPS ', timestep
         endif
-        if (it==it_end) lastcall = .True.
+        IF (it==it_end) lastcall = .True.
 
         !---------------------------------------------------------------------
@@ -842,10 +842,10 @@
                 ! Listing output for debug prt_level>=1
                 !---------------------------------------------------------------------
-                if (prt_level>=1) THEN
+                IF (prt_level>=1) THEN
                 print *, ' avant physiq : -------- day time ', day, time
                         WRITE(*, *) 'firstcall,lastcall,phis', &
                 firstcall, lastcall, phis
                 end if
-                        if (prt_level>=5) THEN
+                        IF (prt_level>=5) THEN
                 WRITE(*, '(a10,2a4,4a13)') 'BEFOR1 IT=', 'it', 'l', &
                 'presniv', 'plev','play', 'phi'
@@ -871,5 +871,5 @@
                         ! Listing output for debug
                         !---------------------------------------------------------------------
-                        if (prt_level>=5) THEN
+                        IF (prt_level>=5) THEN
                         WRITE(*, '(a11,2a4,4a13)') 'AFTER1 IT=', 'it', 'l', &
                         'presniv', 'plev','play', 'phi'
@@ -1017,5 +1017,5 @@
         +d_q_nudge(1:mxcalc, :))
 
-                if (prt_level>=3) THEN
+                IF (prt_level>=3) THEN
                 print *, &
                 'physiq-> temp(1),dt_phys(1),d_t_adv(1),dt_cooling(1) ', &
@@ -1072,5 +1072,5 @@
                 !   Air temperature :
                 !---------------------------------------------------------------------
-                if (lastcall) THEN
+                IF (lastcall) THEN
                 PRINT*, 'Pas de temps final ', it
                 CALL ju2ymds(daytime, an, mois, jour, heure)
@@ -1089,5 +1089,5 @@
                 enddo
 
-                if (ecrit_slab_oc/=-1) close(97)
+                IF (ecrit_slab_oc/=-1) close(97)
 
         !Al1 Call to 1D equivalent of dynredem (an,mois,jour,heure ?)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_amma_read.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_amma_read.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_amma_read.F90	(revision 5117)
@@ -6,50 +6,50 @@
         character*80 :: fich_amma
 ! Option du cas AMMA ou on impose la discretisation verticale (Ap,Bp)
-        integer nlev_amma, nt_amma
-
-        integer year_ini_amma, day_ini_amma, mth_ini_amma
-        real heure_ini_amma
-        real day_ju_ini_amma   ! Julian day of amma first day
+        INTEGER nlev_amma, nt_amma
+
+        INTEGER year_ini_amma, day_ini_amma, mth_ini_amma
+        REAL heure_ini_amma
+        REAL day_ju_ini_amma   ! Julian day of amma first day
         parameter (year_ini_amma=2006)
         parameter (mth_ini_amma=7)
         parameter (day_ini_amma=10)  ! 10 = 10Juil2006
         parameter (heure_ini_amma=0.) !0h en secondes
-        real dt_amma
+        REAL dt_amma
         parameter (dt_amma=1800.)
 
 !profils initiaux:
-        real, allocatable::  plev_amma(:)
-
-        real, allocatable::  z_amma(:)
-        real, allocatable::  th_amma(:),q_amma(:)
-        real, allocatable::  u_amma(:)
-        real, allocatable::  v_amma(:)
-
-        real, allocatable::  th_ammai(:),q_ammai(:)
-        real, allocatable::  u_ammai(:)
-        real, allocatable::  v_ammai(:)
-        real, allocatable::  vitw_ammai(:)
-        real, allocatable::  ht_ammai(:)
-        real, allocatable::  hq_ammai(:)
-        real, allocatable::  vt_ammai(:)
-        real, allocatable::  vq_ammai(:)
+        REAL, ALLOCATABLE::  plev_amma(:)
+
+        REAL, ALLOCATABLE::  z_amma(:)
+        REAL, ALLOCATABLE::  th_amma(:),q_amma(:)
+        REAL, ALLOCATABLE::  u_amma(:)
+        REAL, ALLOCATABLE::  v_amma(:)
+
+        REAL, ALLOCATABLE::  th_ammai(:),q_ammai(:)
+        REAL, ALLOCATABLE::  u_ammai(:)
+        REAL, ALLOCATABLE::  v_ammai(:)
+        REAL, ALLOCATABLE::  vitw_ammai(:)
+        REAL, ALLOCATABLE::  ht_ammai(:)
+        REAL, ALLOCATABLE::  hq_ammai(:)
+        REAL, ALLOCATABLE::  vt_ammai(:)
+        REAL, ALLOCATABLE::  vq_ammai(:)
 
 !forcings
-        real, allocatable::  ht_amma(:,:)
-        real, allocatable::  hq_amma(:,:)
-        real, allocatable::  vitw_amma(:,:)
-        real, allocatable::  lat_amma(:),sens_amma(:)
+        REAL, ALLOCATABLE::  ht_amma(:,:)
+        REAL, ALLOCATABLE::  hq_amma(:,:)
+        REAL, ALLOCATABLE::  vitw_amma(:,:)
+        REAL, ALLOCATABLE::  lat_amma(:),sens_amma(:)
 
 !champs interpoles
-        real, allocatable::  vitw_profamma(:)
-        real, allocatable::  ht_profamma(:)
-        real, allocatable::  hq_profamma(:)
-        real lat_profamma,sens_profamma
-        real, allocatable::  vt_profamma(:)
-        real, allocatable::  vq_profamma(:)
-        real, allocatable::  th_profamma(:)
-        real, allocatable::  q_profamma(:)
-        real, allocatable::  u_profamma(:)
-        real, allocatable::  v_profamma(:)
+        REAL, ALLOCATABLE::  vitw_profamma(:)
+        REAL, ALLOCATABLE::  ht_profamma(:)
+        REAL, ALLOCATABLE::  hq_profamma(:)
+        REAL lat_profamma,sens_profamma
+        REAL, ALLOCATABLE::  vt_profamma(:)
+        REAL, ALLOCATABLE::  vq_profamma(:)
+        REAL, ALLOCATABLE::  th_profamma(:)
+        REAL, ALLOCATABLE::  q_profamma(:)
+        REAL, ALLOCATABLE::  u_profamma(:)
+        REAL, ALLOCATABLE::  v_profamma(:)
 
 
@@ -65,5 +65,5 @@
       ierr = nf90_open(fich_amma,nf90_nowrite,nid)
       PRINT*,'fich_amma,nf90_nowrite,nid ',fich_amma,nf90_nowrite,nid
-      if (ierr/=nf90_noerr) THEN
+      IF (ierr/=nf90_noerr) THEN
          WRITE(*,*) 'ERROR: GROS Pb opening forcings nc file '
          WRITE(*,*) nf90_strerror(ierr)
@@ -178,20 +178,20 @@
       IMPLICIT NONE
 
-      integer ntime,nlevel
-
-      real zz(nlevel)
-      real temp(nlevel),pp(nlevel)
-      real qv(nlevel),u(nlevel)
-      real v(nlevel)
-      real dw(nlevel,ntime)
-      real dt(nlevel,ntime)
-      real dq(nlevel,ntime)
-      real flat(ntime),sens(ntime)
-
-
-      integer nid, ierr,rid
-      integer nbvar3d
+      INTEGER ntime,nlevel
+
+      REAL zz(nlevel)
+      REAL temp(nlevel),pp(nlevel)
+      REAL qv(nlevel),u(nlevel)
+      REAL v(nlevel)
+      REAL dw(nlevel,ntime)
+      REAL dt(nlevel,ntime)
+      REAL dq(nlevel,ntime)
+      REAL flat(ntime),sens(ntime)
+
+
+      INTEGER nid, ierr,rid
+      INTEGER nbvar3d
       parameter(nbvar3d=30)
-      integer var3didin(nbvar3d)
+      INTEGER var3didin(nbvar3d)
 
        ierr=nf90_inq_varid(nid,"zz",var3didin(1))
@@ -362,36 +362,36 @@
 
 ! inputs:
-        integer annee_ref
-        integer nt_amma,nlev_amma
-        integer year_ini_amma
-        real day, day1,day_ini_amma,dt_amma
-        real vitw_amma(nlev_amma,nt_amma)
-        real ht_amma(nlev_amma,nt_amma)
-        real hq_amma(nlev_amma,nt_amma)
-        real lat_amma(nt_amma)
-        real sens_amma(nt_amma)
+        INTEGER annee_ref
+        INTEGER nt_amma,nlev_amma
+        INTEGER year_ini_amma
+        REAL day, day1,day_ini_amma,dt_amma
+        REAL vitw_amma(nlev_amma,nt_amma)
+        REAL ht_amma(nlev_amma,nt_amma)
+        REAL hq_amma(nlev_amma,nt_amma)
+        REAL lat_amma(nt_amma)
+        REAL sens_amma(nt_amma)
 ! outputs:
-        real vitw_prof(nlev_amma)
-        real ht_prof(nlev_amma)
-        real hq_prof(nlev_amma)
-        real lat_prof,sens_prof
+        REAL vitw_prof(nlev_amma)
+        REAL ht_prof(nlev_amma)
+        REAL hq_prof(nlev_amma)
+        REAL lat_prof,sens_prof
 ! local:
-        integer it_amma1, it_amma2,k
-        real timeit,time_amma1,time_amma2,frac
-
-
-        if (forcing_type==6) THEN
+        INTEGER it_amma1, it_amma2,k
+        REAL timeit,time_amma1,time_amma2,frac
+
+
+        IF (forcing_type==6) THEN
 ! Check that initial day of the simulation consistent with AMMA case:
-       if (annee_ref/=2006) THEN
+       IF (annee_ref/=2006) THEN
         PRINT*,'Pour AMMA, annee_ref doit etre 2006'
         PRINT*,'Changer annee_ref dans run.def'
         stop
        endif
-       if (annee_ref==2006 .and. day1<day_ini_amma) THEN
+       IF (annee_ref==2006 .AND. day1<day_ini_amma) THEN
         PRINT*,'AMMA a débuté le 10 juillet 2006',day1,day_ini_amma
         PRINT*,'Changer dayref dans run.def'
         stop
        endif
-       if (annee_ref==2006 .and. day1>day_ini_amma+1) THEN
+       IF (annee_ref==2006 .AND. day1>day_ini_amma+1) THEN
         PRINT*,'AMMA a fini le 11 juillet'
         PRINT*,'Changer dayref ou nday dans run.def'
@@ -402,5 +402,5 @@
 ! Determine timestep relative to the 1st day of AMMA:
 !       timeit=(day-day1)*86400.
-!       if (annee_ref.eq.1992) THEN
+!       if (annee_ref.EQ.1992) THEN
 !        timeit=(day-day_ini_toga)*86400.
 !       else
@@ -424,5 +424,5 @@
        time_amma2=(it_amma2-1)*dt_amma
 
-       if (it_amma1 > nt_amma) THEN
+       IF (it_amma1 > nt_amma) THEN
         WRITE(*,*) 'PB-stop: day, it_amma1, it_amma2, timeit: '            &
           ,day,day_ini_amma,it_amma1,it_amma2,timeit/86400.
